package com.lightinit.hsdataplatformresdir.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/6/3 16:29
 * @Description: 在已发布的数据项中，列出项目；在数据发布中，弹出选择发布项目的列表项
 **/
public class DataPublishListModel {
    private Long id;
    private String resourceName;//数据名称
    private String resourceSummary;//数据描述
    private String sectorName;//所属单位
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdAt;        //----->在已发布的数据中，list.jsp中使用
    private String publishState; //状态----->在已发布的数据中，list.jsp中判断发布状态


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }


    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }
}
